Tubular Widgets Directives. You require jQuery to run this directives.